# Vue 3 + TypeScript + Vite

This template should help get you started developing with Vue 3 and TypeScript in Vite. The template uses Vue 3 `<script setup>` SFCs, check out the [script setup docs](https://v3.vuejs.org/api/sfc-script-setup.html#sfc-script-setup) to learn more.

## Recommended IDE Setup

- [VS Code](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar)

## Type Support For `.vue` Imports in TS

Since TypeScript cannot handle type information for `.vue` imports, they are shimmed to be a generic Vue component type by default. In most cases this is fine if you don't really care about component prop types outside of templates. However, if you wish to get actual prop types in `.vue` imports (for example to get props validation when using manual `h(...)` calls), you can enable Volar's Take Over mode by following these steps:

1. Run `Extensions: Show Built-in Extensions` from VS Code's command palette, look for `TypeScript and JavaScript Language Features`, then right click and select `Disable (Workspace)`. By default, Take Over mode will enable itself if the default TypeScript extension is disabled.
2. Reload the VS Code window by running `Developer: Reload Window` from the command palette.

You can learn more about Take Over mode [here](https://github.com/johnsoncodehk/volar/discussions/471).

```
aiot-platform
├─ .env.development
├─ .env.production
├─ .eslintignore.js
├─ .eslintrc
├─ .gitignore
├─ .prettierrc
├─ README.md
├─ auto-imports.d.ts
├─ components.d.ts
├─ default.conf
├─ index.html
├─ package-lock.json
├─ package.json
├─ public
│  └─ logo.svg
├─ src
│  ├─ App.vue
│  ├─ api
│  │  ├─ common.ts
│  │  ├─ device.ts
│  │  ├─ home.ts
│  │  ├─ index.js
│  │  ├─ login.ts
│  │  ├─ model.ts
│  │  ├─ monitor.ts
│  │  ├─ product.ts
│  │  ├─ request.js
│  │  └─ rule.ts
│  ├─ assets
│  │  ├─ css
│  │  │  ├─ common.scss
│  │  │  ├─ element.scss
│  │  │  ├─ mixins
│  │  │  │  ├─ config.scss
│  │  │  │  └─ function.scss
│  │  │  ├─ reset.scss
│  │  │  └─ variable.scss
│  │  ├─ icons
│  │  │  ├─ common
│  │  │  │  ├─ add-item.svg
│  │  │  │  ├─ c-down.svg
│  │  │  │  ├─ c-up.svg
│  │  │  │  ├─ change.svg
│  │  │  │  ├─ clock.svg
│  │  │  │  ├─ delete.svg
│  │  │  │  ├─ down.svg
│  │  │  │  ├─ download.svg
│  │  │  │  ├─ more.svg
│  │  │  │  ├─ pen.svg
│  │  │  │  ├─ plus.svg
│  │  │  │  └─ up.svg
│  │  │  ├─ device
│  │  │  │  ├─ active.svg
│  │  │  │  ├─ lock.svg
│  │  │  │  ├─ offline.svg
│  │  │  │  ├─ online.svg
│  │  │  │  └─ total.svg
│  │  │  ├─ header
│  │  │  │  ├─ logo.svg
│  │  │  │  ├─ msg.svg
│  │  │  │  └─ open.svg
│  │  │  ├─ home
│  │  │  │  ├─ anilysis.svg
│  │  │  │  ├─ develop-active.svg
│  │  │  │  ├─ develop-data.svg
│  │  │  │  ├─ develop-device.svg
│  │  │  │  ├─ develop-group.svg
│  │  │  │  ├─ develop-manager.svg
│  │  │  │  ├─ develop-offline.svg
│  │  │  │  ├─ develop-online.svg
│  │  │  │  ├─ develop.svg
│  │  │  │  ├─ edge.svg
│  │  │  │  ├─ model.svg
│  │  │  │  ├─ scene-manager.svg
│  │  │  │  └─ warning-manager.svg
│  │  │  └─ menu
│  │  │     ├─ bianyuanguanli.svg
│  │  │     ├─ device.svg
│  │  │     ├─ gailan.svg
│  │  │     ├─ guize.svg
│  │  │     ├─ home.svg
│  │  │     ├─ shebeiguanli.svg
│  │  │     ├─ shebeimoxingguanli.svg
│  │  │     ├─ template.svg
│  │  │     └─ yunweijiankong.svg
│  │  ├─ images
│  │  │  ├─ aiotlogo.png
│  │  │  ├─ asialogo.png
│  │  │  ├─ download-2-line-1.png
│  │  │  ├─ download-2-line.png
│  │  │  ├─ drawer.png
│  │  │  ├─ file.png
│  │  │  ├─ login-bg.png
│  │  │  ├─ logo1.png
│  │  │  ├─ subject.png
│  │  │  ├─ test.png
│  │  │  ├─ upload-2-line-1.png
│  │  │  └─ upload-2-line.png
│  │  └─ vue.svg
│  ├─ components
│  │  ├─ base
│  │  │  ├─ BaseDialog.vue
│  │  │  ├─ BaseForm.vue
│  │  │  └─ BaseTable.vue
│  │  ├─ dialog
│  │  │  ├─ dialog
│  │  │  └─ drawer
│  │  │     └─ CommonDrawer.vue
│  │  ├─ form
│  │  │  ├─ AiotForm.vue
│  │  │  ├─ AiotSelect.vue
│  │  │  └─ FormItem.vue
│  │  ├─ graph
│  │  │  └─ Charts.vue
│  │  ├─ index.ts
│  │  ├─ label
│  │  │  ├─ CommonBreadcrumb.vue
│  │  │  ├─ Headers.vue
│  │  │  ├─ MenuItem.vue
│  │  │  ├─ Menus.vue
│  │  │  └─ menus.ts
│  │  ├─ panel
│  │  │  ├─ CommonPanel.vue
│  │  │  └─ PagePanel.vue
│  │  ├─ search
│  │  │  └─ AiotSearch.vue
│  │  ├─ svg
│  │  │  └─ SvgIcon.vue
│  │  ├─ table
│  │  │  ├─ CommonPage.vue
│  │  │  ├─ CommonTable.vue
│  │  │  └─ TableColumn.vue
│  │  └─ tree
│  │     └─ CommonTree.vue
│  ├─ main.ts
│  ├─ router.ts
│  ├─ store
│  │  ├─ getters.ts
│  │  ├─ index.ts
│  │  ├─ mutation_types.ts
│  │  ├─ mutations.ts
│  │  └─ state.ts
│  ├─ style.scss
│  ├─ utils
│  │  ├─ cache.js
│  │  └─ icf.ts
│  ├─ views
│  │  ├─ Login.vue
│  │  ├─ _components
│  │  │  ├─ model
│  │  │  │  ├─ AlarmSetting.vue
│  │  │  │  ├─ ComputeIndicator.vue
│  │  │  │  ├─ ControlInstruct.vue
│  │  │  │  ├─ DataSubscribe.vue
│  │  │  │  ├─ EventSetting.vue
│  │  │  │  ├─ MeasureIndicator.vue
│  │  │  │  ├─ StaticIndicator.vue
│  │  │  │  └─ config.js
│  │  │  └─ product
│  │  │     ├─ ComputeIndicator.vue
│  │  │     ├─ ControlInstruct.vue
│  │  │     ├─ EventSetting.vue
│  │  │     ├─ MeasureIndicator.vue
│  │  │     ├─ Params.vue
│  │  │     └─ StaticIndicator.vue
│  │  ├─ device
│  │  │  ├─ Device.vue
│  │  │  ├─ DeviceDetail.vue
│  │  │  ├─ DeviceGroup.vue
│  │  │  ├─ DeviceGroupDetail.vue
│  │  │  ├─ _components
│  │  │  │  ├─ BatchRegisterDialog.vue
│  │  │  │  ├─ DeviceData.vue
│  │  │  │  ├─ DeviceInfo.vue
│  │  │  │  ├─ DeviceList.vue
│  │  │  │  ├─ GroupDialog.vue
│  │  │  │  ├─ RegisterDeviceDialog.vue
│  │  │  │  ├─ SubgroupOverview.vue
│  │  │  │  └─ Subset.vue
│  │  │  └─ _config.ts
│  │  ├─ edge
│  │  │  ├─ EdgeApplication.vue
│  │  │  ├─ EdgeGateway.vue
│  │  │  └─ _components
│  │  ├─ home
│  │  │  ├─ _components
│  │  │  └─ index.vue
│  │  ├─ product
│  │  │  ├─ ProductDetail copy.vue
│  │  │  ├─ ProductDetail.vue
│  │  │  ├─ ProductModel.vue
│  │  │  ├─ ProductModelDetail.vue
│  │  │  ├─ ProductOverview.vue
│  │  │  ├─ _components
│  │  │  │  ├─ ProductCard.vue
│  │  │  │  ├─ ProductDialog.vue
│  │  │  │  ├─ _model
│  │  │  │  │  ├─ AttributeDialog.vue
│  │  │  │  │  ├─ EventDialog.vue
│  │  │  │  │  └─ InstructionDialog.vue
│  │  │  │  └─ charts.vue
│  │  │  ├─ _formconfig.ts
│  │  │  └─ index.vue
│  │  ├─ rule
│  │  │  ├─ AddRule.vue
│  │  │  ├─ DataSubscription.vue
│  │  │  ├─ WarningRules.vue
│  │  │  ├─ _components
│  │  │  │  ├─ AddRuleDialog.vue
│  │  │  │  ├─ AddSubscribeDialog.vue
│  │  │  │  ├─ CommonAction.vue
│  │  │  │  ├─ SelectDeviceDialog.vue
│  │  │  │  └─ TriggerFuncDialog.vue
│  │  │  └─ _config.ts
│  │  ├─ workorder-monitor
│  │  │  ├─ Alarm.vue
│  │  │  ├─ Logs.vue
│  │  │  ├─ Rules.vue
│  │  │  └─ _components
│  │  │     └─ PagePane.vue
│  │  └─ workorder-monitors
│  │     ├─ Alarm.vue
│  │     ├─ Logs.vue
│  │     ├─ _components
│  │     │  ├─ AddPushMode.vue
│  │     │  ├─ AddRulesDialog.vue
│  │     │  ├─ AlarmSearch.vue
│  │     │  ├─ CollaborativeStrategy.vue
│  │     │  └─ Rules.vue
│  │     └─ common.scss
│  └─ vite-env.d.ts
├─ tsconfig.json
├─ tsconfig.node.json
└─ vite.config.ts


"common-module-ui": "file:../../common-npm/common-module",

```
