import { AIotRequest } from './index';

const BASE_PATH = '/ipu';
export const subflow = {
  // 系统
  subflow: `${BASE_PATH}/sublogicMgmt/sublogic`,
  cloneFlow: `${BASE_PATH}/sublogicMgmt/clone`
};

// 获取子流程列表
export function getSubFlowList(data: any) {
  return AIotRequest.get({
    url: subflow.subflow,
    data
  });
}

// 新增子流程
export function createSubFlow(data: any) {
  return AIotRequest.post({
    url: subflow.subflow,
    data
  });
}

// 修改子流程
export function updateSubFlowById(data: any, id: any) {
  return AIotRequest.patch({
    url: `${subflow.subflow}/${id}`,
    data
  });
}

// 删除子流程
export function deleteSubFlowById(id: any) {
  return AIotRequest.delete({
    url: `${subflow.subflow}/${id}`
  });
}
// 复制子流程
export function copySubFlowById(data: any, id: any) {
  return AIotRequest.post({
    url: `${subflow.cloneFlow}/${id}`,
    data
  });
}

// 获取子流程详情
export function getSubFlowDetailById(id: any) {
  return AIotRequest.get({
    url: `${subflow.subflow}/${id}`
  });
}
